Skip to content

List Questions

GET
/api/Products/{productId}/questions
curl --request GET \
--url https://example.com/api/Products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/questions \
--header 'Authorization: Bearer <token>'

Returns all questions configured for a product, in display order.

productId
required
string format: uuid
includeArchived
boolean

OK

Media type application/json
Array<object>
object
id
string format: uuid
order
integer format: int32
label
string
nullable
helpText
string
nullable
type
string
Allowed values: FreeText SingleChoice MultipleChoice
isRequired
boolean
maxLength
integer format: int32
nullable
options
Array<object>
nullable
object
id
string format: uuid
order
integer format: int32
value
string
nullable
label
string
nullable
Example
[
{
"type": "FreeText"
}
]

Not Found

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}